/*
	GEDemoView.h
	
	GEView for BeGEDemo
	
	Copyright 1996 by Al Evans. All rights reserved.
	
	2/15/96
	
*/

#ifndef GEDEMOVIEW
#define GEDEMOVIEW

#include "GEView.h"
#include "GESound.h"

class GEDemoView : public GEView 
{
public:
						GEDemoView(BRect refFrame, float scale = 1.0);
virtual					~GEDemoView();
bool					InitDemoWorld();

// Menu commands
void					ActivateGrabber(bool activate);
bool					GrabberActive();
void					ShootCannon();
void					GetSignText(char *oldText);
void					SetSignText(const char *newText);

private:
GESoundPtr				mSounds;

};





#endif