/*
	Sign.h
	
	User-entered text for Graphic Elements demo
	
	Copyright 1993 by Al Evans. All rights reserved.
	
	11/11/93

	11/18/95 First Windows-compatible version
	
*/


#ifndef GRAPHELEMENTS
#include "GElemnts.h"
#endif

//Sign position

#define signLeft	300
#define signTop		37

//Sign plane

#define signPlane	4

//Sign ID
#define signID 'SIGN'

#ifdef __cplusplus
extern "C" {
#endif

Boolean LoadSignScene(GEWorldPtr world);

//Sign autochange proc
PAS_FUNC(void, DoSign)(GEWorldPtr world, GrafElPtr sign);

//Get current sign text into oldText
PAS_FUNC(void, GetSignText)(StringPtr oldText);

//Set sign text
PAS_FUNC(void, SetSignText)(GEWorldPtr world, StringPtr newText);

#ifdef __cplusplus
}
#endif
